﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Threading;

namespace sdi1
{
    public partial class Form1 : Form
    {
        private Graphics _gx;
        private Pen _pen;
        private Thread t;

        public Form1()
        {
            InitializeComponent();
          
            _gx = CreateGraphics();
            _pen = new Pen(SystemBrushes.ControlDark, 1.0f);
            InitializeThread();
            MnClose.Click += (obj, ee) => {  Close(); };
            FormClosing += delegate(object s, FormClosingEventArgs e)
            {                
                MessageBox.Show("Meldung");                
            };
        }

        private void InitializeThread()
        {
             t = new Thread(new ThreadStart(drawingCircle));
          
        }
        private void drawingCircle()
        {           
            Invoke(new Action(delegate()
                {  _gx.DrawEllipse(_pen, 0, 0, 10f, 10f);}));
        }

        

        private void Form1_Load(object sender, EventArgs e)
        {
            t.Start();
            textBox1.Dock = DockStyle.Fill;
            listBox1.Dock = DockStyle.Fill;
            toolStripDropDownButton1.DropDownItems.Add("Text1");
            toolStripDropDownButton1.DropDownItems.Add("Text2");
            toolStripDropDownButton1.DropDownItems.Add("Text3");
            toolStripDropDownButton1.DropDownItems.Add("Text4");
        }

        private void BnName_Click(object sender, EventArgs e)
        {
            if (TName.Text != String.Empty)
            {
                textBox1.AppendText(TName.Text + Environment.NewLine);
                listBox1.Items.Add(TName.Text);
            }
        }

        private void menuStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {

        }

        private void MnOpen_Click(object sender, EventArgs e)
        {
            var openFileDialog = new OpenFileDialog();
            openFileDialog.InitialDirectory = Environment.CurrentDirectory;
            openFileDialog.Filter =
                 "CS Files (*.cs)|*.cs|All Files (*.*)|*.*";
            if (openFileDialog.ShowDialog(this) == DialogResult.OK)
            {
                string Filename = openFileDialog.FileName;

                using (FileStream inFile = new FileStream(Filename, FileMode.Open)                   )
                {
                    StreamReader inStream = new StreamReader(inFile);
                    String value = "";
                    while (!inStream.EndOfStream)
                    {
                        value += inStream.ReadLine()+Environment.NewLine;
                    }
                    inStream.Close();
                    inFile.Close();
                    textBox1.Text = value;
                }
            }
        }

        private void MnOpen2_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.InitialDirectory = Environment.CurrentDirectory;
            openFileDialog.Filter =
                 "CS Files (*.cs)|*.cs|All Files (*.*)|*.*";
            if (openFileDialog.ShowDialog(this) == DialogResult.OK)
            {
                string Filename = openFileDialog.FileName;

                using (
                    FileStream inFile = new FileStream(Filename, FileMode.Open)
                    )
                {
                    StreamReader inStream = new StreamReader(inFile);
                    textBox1.Text = inStream.ReadToEnd();
                    inStream.Close();
                    inFile.Close();
                }
            }

        }

        private void MnOpen3_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.InitialDirectory = Environment.CurrentDirectory;
            openFileDialog.Filter =
                 "CS Files (*.cs)|*.cs|All Files (*.*)|*.*";
            if (openFileDialog.ShowDialog(this) == DialogResult.OK)
            {                
                textBox1.Text = File.ReadAllText(openFileDialog.FileName);                               
            }
        }
    }
}
